Summary:	An interface to X selections ("the clipboard")
Summary(pl.UTF-8):	Interfejs do schowka X Window System
Name:		xclip
Version:	0.13
Release:	1
Epoch:		0
License:	GPL v2+
Group:		X11/Applications
Source0:	https://github.com/astrand/%{name}/archive/%{version}.tar.gz
# Source0-md5:	81e49f56288f299e3389a019f2550ad2
URL:		https://github.com/astrand/xclip
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xclip is a command line utility that provides an interface to X
selections ("the clipboard"). It can read data from standard in or a
file and place it in an X selection for pasting into other X
applications. xclip can also print an X selection to standard out,
which can then be redirected to a file or another program.

%description -l pl.UTF-8
xclip jest narzędziem linii poleceń dostarczającym interfejsu do
schowka X Window System. Może czytać dane ze standardowego wejścia lub
pliku i wstawiać je do schowka X w celu wklejenia do innych aplikacji.
Może również wypisać zawartość schowka na standardowe wyjście, które
następnie można przekierować do pliku lub innego programu.

%prep
%setup -q

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/xclip
%attr(755,root,root) %{_bindir}/xclip-copyfile
%attr(755,root,root) %{_bindir}/xclip-cutfile
%attr(755,root,root) %{_bindir}/xclip-pastefile
%{_mandir}/man1/xclip.1*
%{_mandir}/man1/xclip-copyfile.1*
%changelog
* Thu Nov 01 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xclip.git;a=log;h=master

* Sun Sep 16 2018 Łukasz Krotowski <lkrotowski@pld-linux.org> c8e6d22
- up to 0.13

* Wed Mar 28 2018 Jan Rękorajski <baggins@pld-linux.org> 455469f
- rebuild for x32
- release 2 (by relup.sh)

* Sun Feb 21 2010 sparky <sparky@pld-linux.org> 9b3114f
- BR: xorg-lib-libXmu-devel

* Sun Feb 21 2010 duddits <duddits@pld-linux.org> 387f309
- up to 0.12
- %files

* Thu Apr 23 2009 Elan Ruusamäe <glen@pld-linux.org> 4bb8ebd
- verbose files

* Thu Apr 23 2009 Elan Ruusamäe <glen@pld-linux.org> 01a3fb2
- update to 0.11 (new homepage), xorg deps

* Thu Apr 23 2009 Elan Ruusamäe <glen@pld-linux.org> 29de8f9
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 89eef85
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1b42f70
- converted to UTF-8

* Sat Feb 19 2005 ankry <ankry@pld-linux.org> f537792
- cleanups

* Tue Feb 15 2005 Michal Moskal <michal@moskal.me> 3fa01a2
- move package from /usr/X11R6 to /usr

* Mon Feb 14 2005 Jakub Bogusz <qboosh@pld-linux.org> b768f6a
- fixed X name, enhanced pl desc, use metapackage names in BRs

* Sun Feb 13 2005 Michal Moskal <michal@moskal.me> 07e2cb1
- new

